from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import URLViewSet, QRCodeViewSet, ImageToolUsageViewSet, FileConversionViewSet, CurrencyHistoryView

router = DefaultRouter()
router.register(r'urls', URLViewSet, basename='url')
router.register(r'qr-codes', QRCodeViewSet, basename='qrcode')
router.register(r'image-usage', ImageToolUsageViewSet, basename='imagetool')
router.register(r'conversions', FileConversionViewSet, basename='conversion')

urlpatterns = [
    path('', include(router.urls)),
    path('currency-history/', CurrencyHistoryView.as_view(), name='currency-history'),
]
